using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;

namespace LimitCursor
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;

		[System.Runtime.InteropServices.DllImport("user32", EntryPoint="ShowCursor", ExactSpelling=true, CharSet=System.Runtime.InteropServices.CharSet.Ansi, SetLastError=true)]
		private static extern long ShowCursor(bool bShow);
		private bool blnShow;
		
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			
			InitializeComponent();
			InitializeControlSettings();

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Controls.Add(this.chartControl1.Legend);
			this.chartControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(422, 192);
			this.chartControl1.Legend.Name = "";
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.DrawGrid = false;
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Horizontal;
			this.chartControl1.PrimaryYAxis.DrawGrid = false;
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.Size = new System.Drawing.Size(520, 374);
			this.chartControl1.TabIndex = 0;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.ChartAreaPaint += new System.Windows.Forms.PaintEventHandler(this.chartControl1_ChartAreaPaint);
			this.chartControl1.MouseMove += new System.Windows.Forms.MouseEventHandler(this.chartControl1_MouseMove);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(520, 374);
			this.Controls.Add(this.chartControl1);
			this.MaximizeBox = false;
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion


		private void InitializeControlSettings()
		{
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

			// Specify a ChartPalette:
			Color[] color = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30)};
			this.chartControl1.Palette = ChartColorPalette.Custom ;
			this.chartControl1.Model.ColorModel.CustomColors = color;
			this.chartControl1.Palette = ChartColorPalette.Custom ;

			this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
			this.chartControl1.LegendPosition = ChartDock.Top;
			
		}

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void chartControl1_ChartAreaPaint(object sender, System.Windows.Forms.PaintEventArgs e)
		{
			e.Graphics.DrawRectangle(Pens.Blue, new Rectangle(150, 150, 150, 150));
			//You can also change the Blue color to Transparent to avoid the visibility of the rectangle
		
		
		}

		private void chartControl1_MouseMove(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			Point mousePoint = new Point( e.X, e.Y );
	
			
			if (e.X >= 145 && e.Y >= 145)
			{
				if (e.X <= 303 && e.Y <= 303)
				{
					blnShow = false;
					ShowCursor(false);
							
				}
			}
			else
			{
				blnShow = true;
				ShowCursor(true);

			}	
			
			//this.chartControl1.Refresh();
		
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			InitializeChartData();
		}
		protected void InitializeChartData()
		{
			ChartSeries series = this.chartControl1.Model.NewSeries("LineChart",ChartSeriesType.Line);
			series.Text = series.Name;

			series.Points.Add(1,45);
			series.Points.Add(2,26);
			series.Points.Add(3,17);
			series.Points.Add(4,29);
			series.Points.Add(5,38);
			series.Points.Add(6,26);

			series.Style.Symbol.Shape = ChartSymbolShape.Circle;
			series.Style.Symbol.Size = new Size(5,5);
			series.Style.Symbol.Color = Color.Red;
			this.chartControl1.Series.Add(series);
			
		}

	}
}
